Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		mousetweaks
Version:	2.26.0
Release:	2
Summary:	Mouse accessibility support for the GNOME desktop
Group:		User Interface/Desktops
License:	GPLv3 and GFDL
URL:		http://www.gnome.org
Source0:	http://download.gnome.org/sources/mousetweaks/2.26/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

Requires(pre):   GConf
Requires(post):  GConf
Requires(preun): GConf

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: at-spi-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnome-panel-libs
BuildRequires: gtk2+-devel
BuildRequires: libart_lgpl-devel
BuildRequires: libbonobo-devel
BuildRequires: libbonoboui-devel
BuildRequires: libgnomecanvas-devel
BuildRequires: libgnome-devel
BuildRequires: libX11-devel
BuildRequires: libXcursor-devel
BuildRequires: libXfixes-devel
BuildRequires: libXtst-devel
BuildRequires: ORBit2-devel
BuildRequires: pango-devel
BuildRequires: popt-devel
BuildRequires: zlib-devel

%description
The Mousetweaks package provides mouse accessibility enhancements for
the GNOME desktop, such as performing various clicks without using any
hardware button. The options can be accessed through the Accessibility 
tab of the Mouse Preferences of GNOME Control Center or through command-line.

%pre 
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  for f in %{_sysconfdir}/gnome/gconf/schemas/mouseweaks.schemas \
	   %{_sysconfdir}/gnome/gconf/schemas/pointer-capture-applet.schemas ; 
    do 
      if [ -f $f ]; then 
        gconftool-2 --makefile-uninstall-rule $f >/dev/null 
      fi 
    done 
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gnome/gconf/schemas/mousetweaks.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/pointer-capture-applet.schemas \
	>/dev/null

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gnome/gconf/schemas/mousetweaks.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/pointer-capture-applet.schemas \
	>/dev/null
fi

%prep
%setup -q

%build
%configure \
--sysconfdir=%_sysconfdir/gnome \
--disable-schemas-install
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING COPYING.FDL COPYING.GPL README NEWS 
%_sysconfdir/gnome
%_bindir
%_libdir/bonobo/servers/DwellClick_Factory.server
%_libdir/bonobo/servers/PointerCapture_Factory.server
%_datadir/mousetweaks
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Apr 07 2009 Christian Metzen <metzench@ccux-linux.de> 2.26.0-2
- fixed gconf require
* Mon Apr 06 2009 Christian Wasem <wasem@ccux-linux.de> 2.26.0-1
- Initial package release
